org.eclipse.net4j.util.ui.actions

## Class LongRunningActionDelegate

- java.lang.Object
- - org.eclipse.net4j.util.ui.actions.SafeActionDelegate
  - - org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate

- All Implemented Interfaces:
    IActionDelegate

      public abstract class LongRunningActionDelegate
      extends SafeActionDelegate

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

      `INTERACTIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongRunningActionDelegate()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancel()`
    `protected void` | `checkCancelation(IProgressMonitor monitor)`
    `protected abstract void` | `doRun(IProgressMonitor progressMonitor)`
    `protected String` | `getBundleID()`
    `protected int` | `getTotalWork()` Deprecated. Not supported anymore.
    `protected void` | `preRun()`
    `protected void` | `safeRun()`
    `protected void` | `setTotalWork(int totalWork)` Deprecated. Not supported anymore.

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

      `getAction, getSelection, getShell, getText, run, selectionChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongRunningActionDelegate

          public LongRunningActionDelegate()

  - ### Method Detail

    - #### getTotalWork

          @Deprecated
          protected final int getTotalWork()

      Deprecated. Not supported anymore.

    - #### setTotalWork

          @Deprecated
          protected final void setTotalWork(int totalWork)

      Deprecated. Not supported anymore.

    - #### cancel

          protected final void cancel()

    - #### safeRun

          protected final void safeRun()
                                throws Exception

      Specified by:
        `safeRun` in class `SafeActionDelegate`
      Throws:
        `Exception`

    - #### preRun

          protected void preRun()
                         throws Exception

      Throws:
        `Exception`

    - #### getBundleID

          protected String getBundleID()

    - #### doRun

          protected abstract void doRun(IProgressMonitor progressMonitor)
                                 throws Exception

      Throws:
        `Exception`
      Since:
        2.0

    - #### checkCancelation

          protected final void checkCancelation(IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html